/* lsb_realpath: return canonicalized full pathname */

/* lsb_realpath:
 *	Arguments: argv[1] filename
 *	Returns: 0 - success, canonicalised filename is output on stdout
 *		 2 - Unresolved, an error message is output on stderr
 */


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <limits.h>
#include <errno.h>
#include "lsb-fhs-ts.h"

main (argc, argv)
int argc;
char *argv[];
{
char namebuf[PATH_MAX];
char *canon_name;

if ( argc < 2 ) {
	fprintf(stderr, "%s: usage: %s pathname\n", argv[0], argv[0]);
	exit(LSB_FHS_TS_UNRESOLVED);
}

canon_name = realpath ( argv[1], namebuf );
if ( canon_name == NULL ) {
	fprintf(stderr, "%s returned -1, set errno to %d (%s)", errno,
		strerror(errno));
	exit(LSB_FHS_TS_UNRESOLVED);
}

fprintf(stdout, "%s\n", namebuf);
exit(LSB_FHS_TS_PASS);

}
